

- kgdb_eth_is_initializing is spun on and should be volatile.

- kgdb_eth_is_trapped is referred to from an inline and needstobe exported
  to modules.



 arch/i386/kernel/kgdb_stub.c |    2 +-
 drivers/net/kgdb_eth.c       |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/kgdb_stub.c~kgdb-over-ethernet-fixes arch/i386/kernel/kgdb_stub.c
--- 25/arch/i386/kernel/kgdb_stub.c~kgdb-over-ethernet-fixes	2003-09-04 21:48:33.000000000 -0700
+++ 25-akpm/arch/i386/kernel/kgdb_stub.c	2003-09-05 00:36:23.000000000 -0700
@@ -137,7 +137,7 @@ extern int eth_getDebugChar(void);    /*
 extern void eth_flushDebugChar(void); /* flush pending characters      */
 extern void kgdb_eth_set_trapmode(int);
 extern void kgdb_eth_reply_arp(void);   /*send arp request */
-extern int kgdb_eth_is_initializing;
+extern volatile int kgdb_eth_is_initializing;
 
 
 /************************************************************************/
diff -puN drivers/net/kgdb_eth.c~kgdb-over-ethernet-fixes drivers/net/kgdb_eth.c
--- 25/drivers/net/kgdb_eth.c~kgdb-over-ethernet-fixes	2003-09-04 21:48:33.000000000 -0700
+++ 25-akpm/drivers/net/kgdb_eth.c	2003-09-05 00:37:15.000000000 -0700
@@ -53,7 +53,7 @@ unsigned short	kgdb_sendport= 6442;
 int		kgdb_eth = -1; /* Default tty mode */
 unsigned char	kgdb_remotemac[6] = {0xff,0xff,0xff,0xff,0xff,0xff};
 unsigned char	kgdb_localmac[6] = {0xff,0xff,0xff,0xff,0xff,0xff};
-int		kgdb_eth_is_initializing = 0;
+volatile int	kgdb_eth_is_initializing = 0;
 
 struct net_device *kgdb_netdevice = NULL;
 
@@ -498,3 +498,4 @@ kgdb_eth_is_trapped()
 	}
 	return kgdb_netdevice->kgdb_is_trapped;
 }
+EXPORT_SYMBOL(kgdb_eth_is_trapped);

_
